import { MarkType } from './drawing'

export interface CurrentUserMark {
  id: number
  mark: Mark
  isLast: boolean
  isCompleted: boolean
  currentValue?: string
}

export interface Mark {
  id: number
  npub: string
  pdfFileHash: string
  type: MarkType
  location: MarkLocation
  fileName: string
  value?: string
}

export interface MarkLocation {
  top: number
  left: number
  height: number
  width: number
  page: number
}
